Quiero usar PyQt5 en pycharm. Después de intentar instalar el paquete de paquetes Disponibles, un error que dice: ‘Instalar los paquetes de error: Error al instalar el paquete PyQt5.’

El log completo está aquí:

------------------------------------------------------------
C:\Program Files (x86)\JetBrains\PyCharm 3.0.1\helpers\packaging_tool.py run on 02/05/14 16:13:23
Downloading/unpacking PyQt5

  Getting page https://pypi.python.org/simple/PyQt5/
  URLs to search for versions for PyQt5:
  * https://pypi.python.org/simple/PyQt5/
  Analyzing links from page https://pypi.python.org/simple/PyQt5/
  Could not find any downloads that satisfy the requirement PyQt5

No distributions at all found for PyQt5

Exception information:
Traceback (most recent call last):
  File "C:\Python27\lib\site-packages\pip-1.3.1-py2.7.egg\pip\basecommand.py", line 139, in main
    status = self.run(options, args)
  File "C:\Python27\lib\site-packages\pip-1.3.1-py2.7.egg\pip\commands\install.py", line 266, in run
    requirement_set.prepare_files(finder, force_root_egg_info=self.bundle, bundle=self.bundle)
  File "C:\Python27\lib\site-packages\pip-1.3.1-py2.7.egg\pip\req.py", line 1026, in prepare_files
    url = finder.find_requirement(req_to_install, upgrade=self.upgrade)
  File "C:\Python27\lib\site-packages\pip-1.3.1-py2.7.egg\pip\index.py", line 171, in find_requirement
    raise DistributionNotFound('No distributions at all found for %s' % req)
DistributionNotFound: No distributions at all found for PyQt5

¿Qué debo hacer?

Esto es lo que he hecho es este:

  • Instalado Python 3.3 y se añade a la RUTA
  • Instalado PyQt5-5.2-gpl-Py3.3-Qt5.2.0-x64.exe

Y no sé cómo utilizar PyQt en pycharm.

puedes dar más información?

2 Comentarios

  1. 4

    AFAIK, usted puede instalar PyQt4/PyQt5 desde PyPI. Usted tendría que instalarlo por separado.

    Si ves este enlace, se puede ver que no hay paquetes listados para PyQt5 (del mismo modo que para PyQt4) en PyPI. Así, usted necesita descargar el programa de instalación por separado de aquí e instalarlo.

    Que es lo que el

    DistributionNotFound: No las distribuciones a todos los encontrados para PyQt5

    se refiere.

    [ACTUALIZACIÓN]: también tendrás más probable es que necesite instalar sorbo de la misma manera, he aquí cómo: https://askubuntu.com/a/666336/12214

    • Pregunta actualizado. por favor me ayude.
    • Lo siento, no he utilizado PyCharm antes, por lo que no puede proporcionar alguna sugerencia para usted en eso.
    • Que IDE que usted prefiere? Me dicen el nombre y si poddible, dime cómo instalar pyqt en que los IDE. Sólo quiero usar pyqt. IDE no importante.
    • No entiendo lo que es un IDE tiene que ver con una biblioteca que desea utilizar…
    • De todos modos, sólo tiene que instalar PyQt4 en su sistema y usted puede utilizar el IDE de Eclipse. Acaba de convencerse de que va a funcionar sin necesidad de hacer nada más 🙂
    • Creo que he instalado PyQt en mi sistema(Windows 8) pero Cuando en pycharm estoy tratando de utilizar la biblioteca, se dice Que no hay lib llamado PyQt! ¿cómo puedo saber que si es instalado en mi sistema o no?
    • Desde el intérprete de Python, hacer un import PyQt4. Se producirá un error si no está instalado.
    • Yo no uso cualquier IDE. Sólo un editor de texto y el intérprete de Python es suficiente. Átomo en Windows y Vim en Linux.

Dejar respuesta

Please enter your comment!
Please enter your name here